#intro {
  width: 100%;
  height: 100vh;
  background-color: none;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 3;
}

#intro img {
  max-width: 100%;
  height: auto;
  object-fit: contain;
}

/* Split-Screen Overlay */
#split-left, #split-right {
  content: "";
  position: fixed;
  top: 0;
  height: 100vh;
  width: 50vw;
  background-color: black;
  z-index: 3;
  transition: transform 1s ease;
}

#split-left {
  left: 0;
  transform: translateX(0%);
}

#split-right {
  right: 0;
  transform: translateX(0%);
}

body.scrolled #split-left {
  transform: translateX(-100%);
}

body.scrolled #split-right {
  transform: translateX(100%);
}
/* Reset default margin and padding */
body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-family: 'MyCustomFont', sans-serif;
    background: black;
    /*overflow: hidden;*/
}
@font-face {
  font-family: 'MyCustomFont';
  src: url('images/Futura\ PT\ Medium.ttf') format('woff2'),
       url("images/Futura\ PT\ Medium.ttf") format('woff');
  font-weight: normal;
  font-style: normal;
}

/* Fullscreen canvas for Three.js */
canvas {
    position: fixed;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    z-index: 0;
}

#scroll-container {
    margin-top: 200vh; /* damit es nicht mit dem Logo kollidiert */
    min-height: 500px; /* oder je nach Bedarf */
    margin-bottom: 500vh;
  position: relative;
  z-index: 1;
}

h1{
    padding-left: 30px;
    padding-top: 50px;
    color: aquamarine;
}
h3 {
  color: white;
}
#info-section {
  margin-top: 100px; /* Abstand nach dem Modell */
  padding: 80px 30px;
  font-size: 25px;
  background-color: black;
  color: white;
  text-align: center;
  width: 100%;              /* Nimmt die gesamte Breite ein */
  max-width: none;          /* Hebt maximale Breite auf */
  margin: 0;                /* Entfernt zentrierende Abstände */
  z-index: 1; /* Niedriger als Canvas oder Intro */
}
#info-section.visible {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}
#intro img { /*das reingleiten des logos*/
  opacity: 0;
  transform: translateY(40px);
  animation: logoFadeIn 1.2s ease-out forwards;
  animation-delay: 0.3s;
}

@keyframes logoFadeIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
#features, #gallery {
  padding: 10px 30px;
  background-color: rgb(0, 0, 0);
  color: black;
  text-align: center;
  font-size: 40px;
}



.scroll-text {
  position: fixed;
  top: 20%;
  left: 20%;
  transform: translateX(-50%);
  padding: none;
  background: none;
  color: white;
  font-size: 5rem;
  border-radius: 10px;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease;
  z-index: 10;
}

.scroll-text.visible {
  opacity: 1;
  pointer-events: auto;
}